%define name nmap
%define version 2.53
%define release 7mdk

Summary:	Network exploration tool and security scanner
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
BuildRequires:	XFree86-devel
Source0:	http://www.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch:		%{name}-2.53-glibc22.patch.bz2
URL:		http://www.insecure.org/nmap/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

%package frontend
Summary:	Gtk+ frontend for nmap
Group:		Monitoring
Requires:	nmap = %{PACKAGE_VERSION} , gtk+
%description frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.

%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q -a1
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
--mandir=%{buildroot}%{_mandir}
make 

%install
%makeinstall
#make prefix=%{buildroot}%{_prefix} install

mkdir -p %{buildroot}%{_menudir}

(cd %{buildroot}
cat > %{buildroot}%{_menudir}/nmap-frontend <<EOF
?package(nmap-frontend):\
command="%{_bindir}/nmapfe"\
title="Nmapfe"\
icon="nmap.xpm"\
longtitle="A frontend for the nmap port scanner"\
needs="x11"\
section="Networking/Other"
EOF
) 

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
#cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}16.xpm %{buildroot}%{_miconsdir}/%{name}.xpm
install -m 644 %{name}32.xpm %{buildroot}%{_iconsdir}/%{name}.xpm
install -m 644 %{name}48.xpm %{buildroot}%{_liconsdir}/%{name}.xpm


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post frontend
## menu
%update_menus

%postun frontend
## menu
%clean_menus


%files 
%defattr(-,root,root)
%doc COPYING
%doc docs/README docs/copying.html docs/nmap-fingerprinting-article.txt
%doc docs/nmap.deprecated.txt docs/nmap.usage.txt docs/nmap_doc.html
%doc docs/nmap_manpage.html 
%{_bindir}/nmap
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/nmap.1.*

%files frontend
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_menudir}/%{name}-frontend
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_mandir}/man1/nmapfe.1.*
%{_mandir}/man1/xnmap.1.*


%changelog
* Mon Mar 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.53-7mdk
- clean spec: s,bzip2 -dc %%{SOURCE1} | tar -xf -,%%setup -a1

* Mon Mar 26 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.53-6mdk
- don't call tar with -j anymore
- make longtitle in menu entry a little more verbose

* Fri Dec 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.53-5mdk
- macros, some spec cleanups
- move manpages for nmapfe/xnmap to frontend package
- patch to build for glibc2.2

* Fri Oct 06 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.53-4mdk
- update for wrong menu entry.
- made icons transparent.

* Tue Aug 29 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.53-3mdk
- use %{_mandir}

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.53-2mdk
- automatically added BuildRequires

* Fri Jun  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.53-1mdk
- 2.53

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.30BETA17-3mdk
- add 3 icons for menu
 (Thx to Lenny, but i hadn't problem with stat !!)

* Wed Apr 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.30BETA17-3mdk
- add icon
- merge menu file with spec (to help vince' stats !!)

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.30BETA17-2mdk
- Add menu entry

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.3BETA12-1mdk
- Update to 2.3BETA17
- Many change in specfile for spechelper
- Corrected groups

* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.3BETA12
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>

* Wed Jan 5 2000 Dara Hazeghi <dhazeghi@pacbell.net>
- Adapted for Mandrake

* Thu Dec 30 1999 Fyodor <fyodor@dhp.com>
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp@redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=$RPM_BUILD_ROOT&{prefix} install" does this.
- using defined %{prefix}, %{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap 
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor <fyodor@dhp.com>
- Merged in spec file sent in by Ian Macdonald <ianmacd@xs4all.nl>

* Tue Dec 29 1998 Fyodor <fyodor@dhp.com>
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren@hishome.net>

* Mon Dec 21 1998 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build for RH 5.x

